Request

Response

    Templates
    GET

    containers/{containerId}/templates

    Retrieves information about all the BIM 360 Field Management templates in a project, including details about the items, sections, and attachments in the template. To get information about a single template, see GET templates/:id.

    Filtering

    You can configure the response payload by setting up filter, pagination and sorting parameters. You can also specify which types of data appear in the response.

    Filtering follows one of the following formats:

    • param[<fieldName>]=<matchValue>
    • param=<matchValue>
    New! Autodesk Construction Cloud platform (ACC). Note that this endpoint is not compatible with ACC projects. For more information about the Autodesk Construction Cloud APIs, see the Autodesk Construction Cloud documentation.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/bim360/checklists/v1/containers/{containerId}/templates
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    containerId
    string
    Each project is assigned a container that stores all the checklists for the project. To find the ID, see the Retrieve a Container ID tutorial.

    Request

    Query String Parameters

    sort
    enum:string
    Sort the template by title or templateType.name or templateTypeName. For example, sort=title. Separate multiple values with commas. To sort in descending order add a - before the sort criteria. For example, sort=-title. For more details, see JSON API Sorting. Possible values: templateType.name, title
    filter[templateTypeId]
    number
    Retrieves templates associated with the specified type. For example, filter[templateTypeId]=1 or queryFilter[templateTypeId]=1. Possible values: 1 (quality), 6 (punch List), 11 (safety), 15 (commissioning). Separate multiple values with commas. For more details, see JSON API Filtering.
    limit
    number
    The number of templates to return in the response payload. Default value: 50. For example, to limit the response to two templates per page, use page[limit]=2 or limit=2. For more details, see JSON API Paging.
    page[offset]
    number
    matchValue is the page number that you want to begin templates results from; for example, page[offset]=50 or offset=50. For more details, see JSON API Paging.
    fields[templates]
    string
    Specify which attributes you want to appear in the response. Separate multiple values with commas. For example, fields[templates] = createdAt, templateType. For more details, see JSON API Sparse Fieldsets.

    Response

    HTTP Status Code Summary

    200
    OK
    Success
    400
    Bad Request
    The request could not be understood by the server due to malformed syntax or missing request header
    403
    Forbidden
    The request has not been applied because it lacks valid authentication credentials for the target resource
    410
    Forbidden
    500
    Internal Server Error
    An unexpected error occurred on the server

    Response

    Body Structure (200)

    Expand all
    jsonapi
    object
    The JSON API object.
    version
    string
    The version of JSON API; will always be 1.0.
    meta
    object
    The meta object.
    offset
    number
    The page number that the checklist results begin from.
    limit
    number
    The number of checklists per page.
    total
    number
    The total number of checklists.
    links
    object
    link for navigation when pagination is possible
    self
    string
    A link to the object itself.
    first
    string
    A link to the first page.
    last
    string
    link to get the last page
    next
    string
    link to get the next page
    prev
    string
    link to get the previous page
    data
    array: object
    The data object.
    id
    string
    The ID of the template..
    type
    string
    The type of object; will always be templates.
    attributes
    object
    The attributes object.
    title
    string
    The name of the template.
    trades
    array: object
    Not relevant
    versionId
    number
    The version ID of the template. Every time you update a template it updates the version ID.
    createdBy
    string
    The Autodesk ID of the user who created the template.
    updatedAt
    datetime: ISO 8601
    The date and time that the resource was last updated, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    createdAt
    datetime: ISO 8601
    The date and time that the resource was created, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    instructions
    string
    The description of the template.
    templateType
    object
    Information about the type of template. Possible values: 1 - Quality 6 - Punch List 11 - Safety 15 - Commissioning
    id
    number
    The ID of the type of template. Possible values: 1 (Quality), 6 (Punch List), 11 (Safety), 15 (Commissioning).
    name
    string
    The name of the type of template. Possible values: Quality, Punch List, Safety, Commissioning.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    allowSectionAssignee
    boolean
    true if you can add a section assignee to the template. false if you cannot add a section assignee to the template.
    permittedActions
    array: string
    List of Actions that the user is permitted to do on the resource.
    permittedAttributes
    array: string
    The list of properties that a user with edit permission is allowed to modify.
    signatures
    array: object
    Not relevant
    index
    int
    Not relevant
    isRequired
    boolean
    Not relevant
    requiredBy
    string
    Not relevant
    relationships
    object
    The relationships object.
    container
    object
    The related container object.
    links
    object
    The links object.
    self
    string
    A link to the object itself.
    related
    string
    A link to the related object.
    meta
    object
    The meta object.
    data
    object
    The data object.
    type
    string
    The type of object; will always be containers.
    id
    string
    The ID of the object.
    links
    object
    The links object.
    self
    string
    A link to the object itself.
    related
    string
    A link to the related object.
    meta
    object
    The meta object.
    totalItems
    number
    The number of items in the template.
    totalSections
    number
    The nunber if sections in the template.
    totalInstances
    number
    The number of checklists created from the template.

    Example

    Success

    Request

    curl -v 'https://developer.api.autodesk.com/bim360/checklists/v1/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates?sort=title&filter[templateTypeId]=1&limit=10' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "jsonapi": {
        "version": "1.0"
      },
      "meta": {
        "offset": 0,
        "limit": 50,
        "total": 210
      },
      "links": {
        "self": "/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates?page[offset]=50",
        "first": "/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates?page[offset]=0",
        "last": "/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates?page[offset]=200",
        "next": "/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates?page[offset]=100",
        "prev": "/containers/efca79bd-3865-4e68-88d5-30d982175c7d/templates?page[offset]=0"
      },
      "data": [
        {
          "id": "11453",
          "type": "templates",
          "attributes": {
            "title": "Painting Template",
            "trades": [],
            "versionId": "1",
            "createdBy": "1Qaz2wsX",
            "updatedAt": "2018-05-23T08:18:55.098Z",
            "createdAt": "2018-05-23T08:18:55.098Z",
            "instructions": "detailed description",
            "templateType": {
              "id": 1,
              "name": "Quality",
              "permittedAttributes": [
                "id"
              ]
            },
            "allowSectionAssignee": false,
            "permittedActions": [
              "canArchive",
              "canEdit",
              "canCreateChecklist"
            ],
            "permittedAttributes": [
              "title",
              "instruction",
              "templateType",
              "sections"
            ],
            "signatures": [
              {
                "index": 0,
                "isRequired": true,
                "requiredBy": "IKEA"
              }
            ]
          },
          "relationships": {
            "container": {
              "links": {
                "self": "",
                "related": ""
              },
              "meta": {},
              "data": {
                "type": "containers",
                "id": "efca79bd-3865-4e68-88d5-30d982175c7d"
              }
            }
          },
          "links": {
            "self": "",
            "related": ""
          },
          "meta": {
            "totalItems": "",
            "totalSections": "",
            "totalInstances": ""
          }
        }
      ]
    }
    
    Show More